%define tarball xf86-video-nsc
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 nsc video driver
Name:      xorg-x11-drv-nsc
Version:   2.7.6.5
Release:   2.1
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/X11R7.0/src/driver/%{tarball}-%{version}.tar.bz2
Source1:   nsc.xinf
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86}

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk

Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 nsc video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/nsc_drv.so
%{_datadir}/hwdata/videoaliases/nsc.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/nsc.4*

%changelog
* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.7.6.5-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb  3 2006 Mike A. Harris <mharris@redhat.com> 2.7.6.5-2
- Added nsc.xinf driver mapping file.

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 2.7.6.5-1
- Updated xorg-x11-drv-nsc to version 2.7.6.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 2.7.6.4-1
- Updated xorg-x11-drv-nsc to version 2.7.6.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 2.7.6.2-1
- Updated xorg-x11-drv-nsc to version 2.7.6.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 2.7.6.1-1
- Updated xorg-x11-drv-nsc to version 2.7.6.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 2.7.6-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 2.7.6-0
- Initial spec file for nsc video driver generated automatically
  by my xorg-driverspecgen script.
